PHP Manual
Prev |  | Next

# HttpRequest::setOptions

(no version information, might be only in CVS)

HttpRequest::setOptions -- Set options

## Description

publicbool HttpRequest::setOptions ( [array options] )

Set the request options to use.

See http_get() for a full list of available parameters and options.

## Parameters

options

  an associative array, which values will overwrite the currently set request options; if empty or omitted, the options of the HttpRequest object will be reset

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpRequest::setMethod | Up | HttpRequest::setPostFields